## maildir-bulletin 0.68

=== Makefile ===
# Generated automatically from Makefile.in by configure.

SBINDIR=/usr/sbin

HOMEDIR=/var/lib/maildir-bulletin

BASEDEF='-DHOMEDIR="$(HOMEDIR)"'

WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
CXX=c++ -O2 -g ${WFLAGS} $(DEFINES) $(BASEDEF)

LFLAGS=-lstdc++

OBJS=mb_util.o
PROGRAMS=maildir-bulletin bulletin-expire

all: $(PROGRAMS)

maildir-bulletin: maildir-bulletin.cpp $(OBJS)
	$(CXX) $(OBJS) -o $@ $< $(LFLAGS)

%: %.cpp $(OBJS)
	$(CXX) $(OBJS) -o $@ $< $(LFLAGS)

install:
	strip $(PROGRAMS)
	mkdir -p $(DESTDIR)$(HOMEDIR)/tmp
	mkdir -p $(DESTDIR)$(SBINDIR)
	cp $(PROGRAMS) $(DESTDIR)$(SBINDIR)
	mkdir -p $(DESTDIR)/home/bulletins/removed

base-permissions:
	chmod 711 $(DESTDIR)$(HOMEDIR)
	chmod 700 $(DESTDIR)$(HOMEDIR)/tmp
	chmod 700 $(DESTDIR)/home/bulletins/removed
	chmod 711 $(DESTDIR)/home/bulletins

permissions: base-permissions
	chgrp postnogr $(DESTDIR)$(SBINDIR)/maildir-bulletin
	chmod 4710 $(DESTDIR)$(SBINDIR)/maildir-bulletin

%.o: %.cpp %.h maildir-bulletin.h
	$(CXX) -c $< -o $@

clean:
	rm -f $(PROGRAMS) $(OBJS) build build-stamp
	rm -rf debian/tmp err out core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f config.* Makefile maildir-bulletin.h

## maildir-bulletin 0.67build1

=== debian/control ===
Source: maildir-bulletin
Section: mail
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.0.1
Build-Depends: debhelper

Package: maildir-bulletin
Architecture: any
Depends: ${shlibs:Depends}
Description: Deliver bulletins directly to the users' Maildir.
 Deliver bulletins directly to the Maildir mail storage of users.  Designed to
 be run from the /etc/aliases file with command-line parameters for which
 groups to send mail to.

## maildir-bulletin 0.68

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	./configure
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmanpages
	dh_link /home/bulletins /var/lib/maildir-bulletin/bulletins
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## maildir-bulletin 0.69

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: maildir-bulletin
 Architecture: any
+Pre-Depends: adduser
 Depends: ${shlibs:Depends}
 Description: Deliver bulletins directly to the users' Maildir.
  Deliver bulletins directly to the Maildir mail storage of users.  Designed to

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=5
 
 build: build-stamp
 build-stamp:
@@ -36,7 +36,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/maildir-bulletin
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -50,7 +50,7 @@
 #	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
-	dh_installmanpages
+	dh_installman *.1
 	dh_link /home/bulletins /var/lib/maildir-bulletin/bulletins
 #	dh_undocumented
 	dh_installchangelogs
